Bug 104029 - [PATCH] net-p2p/mldonkey: don't install rc script without core
Summary: [PATCH] net-p2p/mldonkey: don't install rc script without core
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mario Sergio Fujikawa Ferreira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-05 21:10 UTC by mwisnicki+freebsd
Modified: 2008-06-01 12:33 UTC (History)
1 user (show)

See Also:


Attachments
mldonkey-2.8.1_2.patch (610 bytes, patch)
2006-10-05 21:10 UTC, mwisnicki+freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mwisnicki+freebsd 2006-10-05 21:10:14 UTC
RC script should only be installed with CORE.
This also applies to mldonkey-devel.

Also would you consider adding '--enable-minimum --disable-donkey' to configure
flags as in patch from ports/103410 - it prevents compilation of unnecessary
components when compiling only gui.


Port maintainer (lioux@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2006-10-05 21:10:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lioux

Over to maintainer
Comment 2 dfilter service freebsd_committer 2007-04-16 03:20:13 UTC
lioux       2007-04-16 02:20:08 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/mldonkey     Makefile distinfo 
  Removed files:
    net-p2p/mldonkey/files 
                           patch-src__networks__donkey__donkeyClient.ml 
                           patch-src__networks__donkey__donkeyFiles.ml 
                           patch-src__networks__donkey__donkeyTypes.ml 
  Log:
  o Update to 2.8.3
  o Simplify Makefile's port logic
  o Do not install rc(8) script if only the graphical user interface
    is being installed [1]
  
  PR:             104029 [1]
  Submitted by:   Marcin Wisnicki <mwisnicki+freebsd@gmail.com> [1]
  
  Revision  Changes    Path
  1.45      +38 -27    ports/net-p2p/mldonkey/Makefile
  1.15      +3 -3      ports/net-p2p/mldonkey/distinfo
  1.2       +0 -73     ports/net-p2p/mldonkey/files/patch-src__networks__donkey__donkeyClient.ml (dead)
  1.2       +0 -46     ports/net-p2p/mldonkey/files/patch-src__networks__donkey__donkeyFiles.ml (dead)
  1.2       +0 -11     ports/net-p2p/mldonkey/files/patch-src__networks__donkey__donkeyTypes.ml (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Mario Sergio Fujikawa Ferreira freebsd_committer 2007-04-16 03:20:22 UTC
State Changed
From-To: open->analyzed

Only half the patches have been committed. The rest is still under 
consideration.
Comment 4 dfilter service freebsd_committer 2007-04-16 10:52:35 UTC
lioux       2007-04-16 09:52:31 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/mldonkey-devel Makefile distinfo 
    net-p2p/mldonkey-devel/files kill_mldonkey mlnet.in 
  Log:
  o Update to 2.8.4
  o Simplify Makefile's port logic
  o Do not install rc(8) script if only the graphical user interface
    is being installed [1]
 
  PR:             104029 [1]
  Submitted by:   Marcin Wisnicki <mwisnicki+freebsd@gmail.com> [1]

  Revision  Changes    Path
  1.87      +39 -27    ports/net-p2p/mldonkey-devel/Makefile
  1.46      +3 -3      ports/net-p2p/mldonkey-devel/distinfo
  1.2       +15 -12    ports/net-p2p/mldonkey-devel/files/kill_mldonkey
  1.5       +5 -3      ports/net-p2p/mldonkey-devel/files/mlnet.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2008-02-29 02:33:11 UTC
State Changed
From-To: analyzed->feedback

To lioux: is this PR still valid, or is it OBE now?
Comment 6 Martin Wilke freebsd_committer 2008-06-01 12:33:23 UTC
State Changed
From-To: feedback->closed

Feedback timeout. If this problem still exists, please feel free to 
follow-up this PR so that we can re-open it and find a solution for the 
problem. Thanks!